package com.steering.mes.mcp.entity;


/**
 * 数据库表HTT_ENTRUST_PROCESS_DEFAUL所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-08-15
 */
@SuppressWarnings("serial")
public class HttEntrustProcessDefaulEntity implements java.io.Serializable {
    /**
     * 操作流程序号   1- 部门审批  2-探伤科审核  3-制造部审核  4-质保部审核  5-委托确认
     */
    private String approvalNo = "";
    /**
     * 操作前状态
     */
    private String statusPrevious = "";
    /**
     * 操作后状态
     */
    private String statusNext = "";
    /**
     * 审批类型  0- 通过 1- 不通过
     */
    private String approvalType = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 0-委外  1-委内
     */
    private String subcontractTarget = "";
    /**
     * 1-开始 2-结束
     */
    private String isEnd = "";

    /**
     * 操作流程序号   1- 部门审批  2-探伤科审核  3-制造部审核  4-质保部审核  5-委托确认
     * @return value
     */
    public String getApprovalNo() {
        return approvalNo;
    }

    /**
     * 操作流程序号   1- 部门审批  2-探伤科审核  3-制造部审核  4-质保部审核  5-委托确认
     * @param approvalNo value
     */
    public void setApprovalNo(String approvalNo) {
        this.approvalNo = approvalNo;
    }

    /**
     * 操作前状态
     * @return value
     */
    public String getStatusPrevious() {
        return statusPrevious;
    }

    /**
     * 操作前状态
     * @param statusPrevious value
     */
    public void setStatusPrevious(String statusPrevious) {
        this.statusPrevious = statusPrevious;
    }

    /**
     * 操作后状态
     * @return value
     */
    public String getStatusNext() {
        return statusNext;
    }

    /**
     * 操作后状态
     * @param statusNext value
     */
    public void setStatusNext(String statusNext) {
        this.statusNext = statusNext;
    }

    /**
     * 审批类型  0- 通过 1- 不通过
     * @return value
     */
    public String getApprovalType() {
        return approvalType;
    }

    /**
     * 审批类型  0- 通过 1- 不通过
     * @param approvalType value
     */
    public void setApprovalType(String approvalType) {
        this.approvalType = approvalType;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 0-委外  1-委内
     * @return value
     */
    public String getSubcontractTarget() {
        return subcontractTarget;
    }

    /**
     * 0-委外  1-委内
     * @param subcontractTarget value
     */
    public void setSubcontractTarget(String subcontractTarget) {
        this.subcontractTarget = subcontractTarget;
    }

    /**
     * 1-开始 2-结束
     * @return value
     */
    public String getIsEnd() {
        return isEnd;
    }

    /**
     * 1-开始 2-结束
     * @param isEnd value
     */
    public void setIsEnd(String isEnd) {
        this.isEnd = isEnd;
    }

    public String getApprovalNoNext() {
        return approvalNoNext;
    }

    public void setApprovalNoNext(String approvalNoNext) {
        this.approvalNoNext = approvalNoNext;
    }

    private String approvalNoNext;
}